<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

This package enables flutter developers to build 101 Gen AI powered copilots in their apps.

## Features
At the moment, the only api made available via the flutter library is image segmentation APIs

## Getting started
1. Create 101Gen AI account
2. Create a co-pilot
3. Start using the APIs

## Contributing
After the download, please run the model generator:
```
dart run build_runner build
```

## Usage
```
var apiClient = OOOGenAIAPIService();

apiClient.baseUrl = "https://api.101gen.ai";
apiClient.postImage("1.png", 'image/png', file.readAsBytesSync(), "An old wound");
```

## Additional information
Current version is an alpha release. Please reach out to us chat@101gen.ai
