import 'dart:io';

import 'package:copilot/copilot.dart';
import 'package:mime/mime.dart';

void main() {
  // Create 101GenAI Api Client
  var apiClient = OOOGenAIAPIService();

  // Use the locally stored file for testing
  String filename = 'example_wound.png';
  var file = File('./example/assets/$filename');

  String? mimetype = lookupMimeType(file.path);
  apiClient
      .postImage(filename, (mimetype != null) ? mimetype : 'image/png',
          file.readAsBytesSync(), "A pain that's not going away")
      .then((value) => {
            print('images: ${value.images.length}, \n'
                'annotations: ${value.annotations.length}, \n'
                'categories: ${value.categories.length}')
          });
}
